pub mod serializer;
pub mod transaction;
pub mod txtype;

pub use transaction::{TransactionData, TxBatch};

// imports from standard library

use std::collections::HashMap;
use std::fmt;
use std::io::{prelude::*, Cursor};

// imports from 3rd party crates

use anyhow::{bail, ensure, Context, Result};
use byteorder::{LittleEndian, WriteBytesExt};
//use log::*;
use num_derive::FromPrimitive;
use num_traits::FromPrimitive as _;
use serde::{
    de::{self, MapAccess, Visitor as SerdeVisitor},
    Deserialize, Deserializer, Serialize,
};
use serde_repr::{Deserialize_repr, Serialize_repr};
use sha2::{Digest, Sha256};
use varint::VarintWrite; // VarintRead

// imports from own crates

use iop_coeus_core::*;
use iop_keyvault::{secp256k1::*, Network};
use json_digest::*;
